- Home
- API Enriched
- Threat Campaign
- waf
- GET Threat Campaign by ID.
GET Threat Campaign by ID.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/waf/threat_campaign/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/waf/threat_campaign/example \ --header 'Authorization: <Authorization>'GET Threat Campaign by ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ID x-required ID with which the request will find entry.
Responses
Section titled “Responses”A successful response.
Threat Campaign object representing the created threat campaign.
object
The Threat Campaign Attack Type.
The Threat Campaign Description.
The Threat Campaign ID Required: YES.
The Threat Campaign Intent.
The Threat Campaign last update time Required: YES.
The Threat Campaign Malwares Required: YES.
The Threat Campaign Name Required: YES.
The Threat Campaign References.
The Threat Campaign Risk Required: YES.
The Threat Campaign Systems Required: YES.
Examplegenerated
{ "attack_type": "example", "description": "example", "id": "example", "intent": "example", "last_update": "example", "malwares": [ "example" ], "name": "example", "references": [ "example" ], "risk": "example", "systems": [ "example" ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example